import store from '@/store'

export default class BeforeEnter {
  constructor(opt) {
    this.opt = opt || {}
  }

  async update(to, from, next) {
    // 登录白名单
    const whiteList = []
    if (whiteList.includes(to.path)) {
      next()
      return
    }
    const isLogin = store.state.user.id || (await store.dispatch('checkLogin'))
    if (!isLogin) {
      window.location.href = `${import.meta.env.VITE_LOGIN_URL}?rd=${encodeURIComponent(window.location.href)}`
      return
    }
    next()
  }
}
